For Developers

Automap Source

POST https://ed.link/api/v2/teams/:team_id/sources/:source_id/automap

Triggers an automated mapping evaluation that analyzes column headers in uploaded files and matches them to standard Edlink data model fields.

Permissions

Requires either the sources.create or sources.update system permission.

Parameters

ParameterTypeRequiredDescription
:team_idUUIDYesThe ID of the team.
:source_idUUIDYesThe ID of the source.

Sample Request

const response = await axios.post(
    `https://ed.link/api/v2/teams/${team_id}/sources/${source_id}/automap`,
    {},
    {
        headers: {
            authorization: `Bearer ${user_session_token}`
        }
    }
);

Sample Response

{
    "$data": {
        "status": "queued",
        "source_id": "7b5a19cb-9ea8-4b71-9b16-564ec5ea0b12"
    }
}